<div class="admin-col-title"><%= t(Meth::ToolCustomField.model_name.human.pluralize) %></div>

<div class="admin-col-content">
  <table data-tablesort='true' data-toggle="tablesort" class="tablesorter">
    <thead>
      <tr>
        <!-- <th>Step tool</th> -->
        <th><%= Meth::ToolCustomField.human_attribute_name :name %></th>
        <th><%= Meth::CustomFieldType.model_name.human %></th>
        <th style='width:120px;'><%= Meth::ToolCustomField.human_attribute_name :obligatory %></th>
        <!-- <th>Pos</th> -->
        <th></th>
      </tr>
    </thead>

    <tbody>
      <% step_tool_previous = 0
         @tool_custom_fields.each do |tool_custom_field| %>
        <% if step_tool_previous != tool_custom_field.step_tool_id %>
          </tbody>
          <tbody class="tablesorter-no-sort">
          <tr>
            <td colspan='4' class='table-raw-full'><%= tool_custom_field.step_tool.name_show_all %></td>
          </tr>
          </tbody>
          <tbody>
          <% step_tool_previous = tool_custom_field.step_tool_id %>
        <% end %>
        <tr>
          <td><%= tool_custom_field.custom_field_desc.name %></td>
          <td><%= tool_custom_field.custom_field_desc.custom_field_type.name %></td>
          <td>
            <%#= tool_custom_field.obligatory %>
            <% @tool_custom_field = tool_custom_field %>
            <%= best_in_place @tool_custom_field, :obligatory, :as => :checkbox,
                              ok_button: "&#x2714;".html_safe,
                              cancel_button: "&#x2718;".html_safe,
                              display_with: lambda { |val| best_in_place_display(val).html_safe },
                              html_attrs: { class: 'bip-input' },
                              class: 'bip-span'
            %>
          </td>
          <!-- <td><%#= tool_custom_field.pos %></td> -->
          <td>
            <%= link_to fa_icon_delete('icon-right'), tool_custom_field, method: :delete, data: { confirm: t('confirm.sure') } %>
            <%= link_to fa_icon_arrow_down('icon-right'), meth_tool_custom_field_up_path(id: tool_custom_field), method: :patch if tool_custom_field.pos < tool_custom_field.step_tool.tool_custom_fields.count%>
            <%= link_to fa_icon_arrow_up('icon-right'), meth_tool_custom_field_down_path(id: tool_custom_field), method: :patch if tool_custom_field.pos > 1 %>
          </td>
        </tr>
      <% end %>
    </tbody>
  </table>

  <br>

  <%#= link_to 'New Tool Custom Field', new_tool_custom_field_path, class: 'btn btn-primary' %>
</div>
